Package groovy.beans

## Interface PropertyReader

- All Known Subinterfaces:
    `PropertyAccessor`
  All Known Implementing Classes:
    `DefaultPropertyAccessor`, `DefaultPropertyReader`

      public interface PropertyReader

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `read​(Object owner, String propertyName)` |

- - ### Method Detail

    - #### read

          Object read​(Object owner,
                      String propertyName)